﻿Type=StaticCode
Version=1.8
ModulesStructureVersion=1
B4i=true
@EndOfDesignText@
'Code module

Sub Process_Globals
	Private ColorsModule As Page	
	Private Picker1 As Picker
	Private clrs As Map = CreateMap("Black": Colors.Black, "Blue": Colors.Blue, _
			"Cyan": Colors.Cyan, "Gray": Colors.Gray, "Green": Colors.Green, "Red": Colors.Red)
	Private btnChoose As Button
End Sub

Public Sub Show
	If ColorsModule.IsInitialized = False Then
		ColorsModule.Initialize("ColorsModule")
		ColorsModule.RootPanel.LoadLayout("ColorsLayout")
		Dim items As List
		items.Initialize
		For Each clr As String In clrs.Keys
			Dim s As AttributedString
			s.Initialize(clr, Font.DEFAULT, clrs.Get(clr))
			items.Add(s)
		Next
		Picker1.SetItems(0, items)
		
	End If
	Main.NavControl.ShowPage(ColorsModule)
	btnChoose.Color = GetSelectedColor
End Sub

Private Sub btnChoose_Click
	'Page1Module.ReturnFromColors(GetSelectedColor)
	Log(GetSelectedColor)
	If GetSelectedColor=0 Then
		Msgbox("You Choose: "&GetSelectedColor,"")
	End If
End Sub

Private Sub Picker1_ItemSelected (Column As Int, Row As Int)
	btnChoose.Color = GetSelectedColor
	Log(GetSelectedColor)
End Sub

Private Sub GetSelectedColor As Int
	Dim s As AttributedString = Picker1.GetSelectedItem(0)
	Log(s.ToString)
	Return clrs.Get(s.ToString)
End Sub

Sub ColorsModule_Resize(Width As Int, Height As Int)
    'Msgbox("ColorsModule Resize...","")
	Log("Colors Resized working ...")
End Sub
